# InfinityPagedComponent

fun < T > InfinityPagedComponent (pageInfo: Pagination , loader: suspend InfinityPagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: InfinityPagedComponentContext < T >.( List < T >?) -> Unit )(source)

Overloaded composable function for an infinitely paged component.

#### Parameters

T

The type of the paginated data.

pageInfo

Initial pagination information.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data. When data is in loading state, block will receive null as `it` parameter

fun < T > InfinityPagedComponent (size: Int , loader: suspend InfinityPagedComponentContext < T >.( Pagination ) -> PaginationResult < T >, block: InfinityPagedComponentContext < T >.( List < T >?) -> Unit )(source)

Overloaded composable function for an infinitely paged component.

#### Parameters

T

The type of the paginated data.

size

Number of items per page.

loader

Suspended function that loads paginated data.

block

Composable function that renders the UI with the loaded data. When data is in loading state, block will receive null as `it` parameter